'use strict';

// Configuring the featureMappers module
angular.module('featureMappers').run(['Menus',
  function (Menus) {
    // Add the featureMappers dropdown item
    Menus.addMenuItem('topbar', {
      title: 'Feature Mappers',
      state: 'featureMappers',
      type: 'dropdown',
      roles: ['*']
    });

    // Add the dropdown list item
    Menus.addSubMenuItem('topbar', 'featureMappers', {
      title: 'List Feature Mappers',
      state: 'featureMappers.list'
    });

    // Add the dropdown create item
    Menus.addSubMenuItem('topbar', 'featureMappers', {
      title: 'Create Feature Mappers',
      state: 'featureMappers.create',
      roles: ['user']
    });
  }
]);
